<?php 
    /**
    *
    * copyright (c) 2013-2022 Heliac Technologies
    * license http://opensource.org/licenses/gpl-license.php GNU GPL v3 
    *
    * linee guida per l'utilizzo del logo https://www.geecom.org/index.php?alias=linee-guida-per-luso-del-logo-geecom
    * 
    */

    class GestoreStoricoOperazioni {
        private $db;
        private $prodotto;
        
        public function __construct($db, $prodotto) {
            $this->db = $db;
            $this->prodotto = $prodotto;
        }

        public function aggiungiElemento($tipo,$testo) {
            $data  = date("Y-m-d H:i");
            $query = "INSERT INTO `geec_elementoStoricoOperazioni` (`id`, `prodotto`, `tipo`, `testo`, `dataCreazione`) 
                        VALUES (NULL, '$this->prodotto', '$tipo', '$testo', '$data');";
            $this->db->eseguiQueryCreazione($query);
        }
        
        public function eliminaElemento($id) {
            $this->db->eseguiQueryCancellazione("geec_elementoStoricoOperazioni",$id);
        }
        
        // getter / setter
        public function getDb() {
            return $this->Db;
        }

        public function getProdotto() {
            return $this->prodotto;
        }

        public function setDb($db): void {
            $this->Db = $db;
        }
        
        public function setProdotto($prodotto): void {
            $this->prodotto = $prodotto;
        }
    }

